For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The AccountingPeriod object
          • GET/accounting-periods
          • GET/accounting-periods/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAccounting Periods

/accounting-periods/{id}

Beta
GET
/accounting/v1/accounting-periods/:id
GET
/api/accounting/v1/accounting-periods/:id
$curl https://api.merge.dev/api/accounting/v1/accounting-periods/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "3015f7b1-4d01-460d-bfab-02a52d16cbd0",
3 "remote_id": "2804580",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "April 2020 Financials",
7 "status": "ACTIVE",
8 "start_date": "2020-03-31T00:00:00Z",
9 "end_date": "2020-04-31T00:00:00Z",
10 "field_mappings": {
11 "organization_defined_targets": {
12 "custom_key": "custom_value"
13 },
14 "linked_account_defined_targets": {
15 "custom_key": "custom_value"
16 }
17 },
18 "remote_data": [
19 {
20 "path": "/actions",
21 "data": null
22 }
23 ]
24}

Returns an AccountingPeriod object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/accounting-periods

Next

The Account object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null<=100 characters
Name of the accounting period.
statusenum or null
  • ACTIVE - ACTIVE
  • INACTIVE - INACTIVE
Allowed values:
start_datedatetime or null
Beginning date of the period
end_datedatetime or null
End date of the period
field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only